import unittest

# La fonction à tester
def IsOdd(n):
    return n % 2 == 1

# Un scenario de tests.
class IsOddTests(unittest.TestCase):

    def testUn(self):
        self.assertTrue(IsOdd(1))

    def testDeux(self):
        
        self.assertFalse(IsOdd(2))
    
    def testTrois(self):
        self.assertEqual(IsOdd(2), True)
    

if __name__ == '__main__':
    unittest.main()